Name:           cert-forensics-tools-release
%if 0%{?fedora} > 0
Version:	%(eval "echo %{dist} | sed -n -e 's/.fc//p'")
%endif
%if  0%{?rhel} == 5
Version:        %(eval "echo `awk '{print $3}' /etc/redhat-release`")
%endif
%if 0%{?rhel} >= 6 && 0%{?amzn} == 0
Version:	%(eval "echo %{dist} | sed -n -e 's/.el//p' -e 's/.amzn//p'")
%endif
%if 0%{?amzn}
Version:	%(eval "echo %{dist} | sed -n -e 's/.amzn//p'")
%endif
Release:        17
Summary:        CERT Forensics Tools Freeword Respository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.cert.org/forensics

Source1:	RPM-GPG-KEY-cert-forensics-2014-01-10
Source2:	RPM-GPG-KEY-cert-forensics-2016-02-22
Source3:        RPM-GPG-KEY-cert-forensics-2018-04-07
Source4:        RPM-GPG-KEY-cert-forensics-2020-04-02
Source5:        RPM-GPG-KEY-cert-forensics-2022-04-03
Source6:        RPM-GPG-KEY-cert-forensics-2025-03-24

Source11:	RPM-GPG-KEY-splunk
SOURCE12:	RPM-GPG-KEY-splunk-2018-08-15
Source13:	RPM-GPG-KEY-splunk-0x5efa01edb3cd4420

Source21:	cert-forensics-tools-fedora.repo
Source22:	cert-forensics-tools-centos.repo
Source23:	cert-forensics-tools-amzn.repo

BuildRoot:      %{buildroot}

BuildArch:      noarch
%if 0%{?fedora} > 0
Requires:	( ( fedora-release == %{version} ) or ( generic-release == %{version} ) )
%endif
%if 0%{?rhel} > 0 && 0%{?amzn} == 0
Requires:	/etc/redhat-release
%endif

%description
cert forensics tools freeworld repository contains open source and other
distributable software for Fedora and CentOS/RHEL.

This package contains the repository GPG key as well as configuration
for the Yum, Smart, and APT-RPM package managers.

%prep
%setup -c -T -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE1})
install -Dpm 644 %{SOURCE2}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE2})
install -Dpm 644 %{SOURCE3}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE3})
install -Dpm 644 %{SOURCE4}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE4})
install -Dpm 644 %{SOURCE5}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE5})
install -Dpm 644 %{SOURCE6}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/%(basename %{SOURCE6})

install -Dpm 644 %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-splunk

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if 0%{?fedora} > 0
	install -pm 644 %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-tools.repo
%endif
%if 0%{?rhel} > 0 && 0%{?amzn} == 0
	install -pm 644 %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-tools.repo
%endif
%if 0%{?amzn} > 0
	install -pm 644 %{SOURCE23} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-tools.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Apr  3 2022 Lawrence R. Rogers <lrr@cert.org> 1.0-17
* Release 1.0-17
	Added all of the Splunk keys

* Fri Mar 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.0-16
* Release 1.0-16
	Added RPM-GPG-KEY-cert-forensics-2025-03-24

* Fri Apr  3 2020 Lawrence R. Rogers <lrr@cert.org> 1.0-15
* Release 1.0-15
	Added RPM-GPG-KEY-cert-forensics-2022-04-03

* Mon May 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.0-14
* Release 1.0-14
	Re-added the "( ( fedora-release == %{version} ) or ( generic-release == %{version} ) )" requires for Fedora.

* Tue Apr  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.0-13
* Release 1.0-13
	Added RPM-GPG-KEY-cert-forensics-2020-04-02

* Fri Aug 19 2016 Lawrence R. Rogers <lrr@cert.org> 1.0-12
* Release 1.0-12
- Changed the requires for Fedora to include the generic release. 

* Wed Feb 17 2016 Lawrence R. Rogers <lrr@cert.org> 1.0-11
* Release 1.0-11
- New CERT Forensics Operations and Investigations Team key - expires on 2018-04-07.

* Tue Mar 25 2014 Lawrence R. Rogers <lrr@cert.org> 1.0-10
* Release 1.0-10
- Added new repo - forensics-sip - which contains SiLK with IPA and PostgreSQL.

* Mon Jan 06 2014 Lawrence R. Rogers <lrr@cert.org> 1.0-9
* Release 1.0-9
- New CERT Forensics Operations and Investigations Team key - expires on 2016-02-22.

* Tue Jan 17 2012 Lawrence R. Rogers <lrr@cert.org> 1.0-8
* Release 1.0-8
- New CERT Forensics Team key - expires on 2014-01-06. This RPM contains the 2012 key and is signed by the 2012 key.

* Wed Jan 11 2012 Lawrence R. Rogers <lrr@cert.org> 1.0-7
* Release 1.0-7
- New CERT Forensics Team key - expires on 2014-01-06

* Mon Jun 07 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-6
* Release 1.0-6
- Now dynamically determines the fedora release.

* Thu Mar 04 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-5
* Release 1.0-5
- Fedora 12 no longer needs memdump and fatback repos.

* Thu Jan 07 2010 Lawrence R. Rogers <lrr@cert.org> 1.0-4
* Release 1.0-4
- New CERT Forensics Team key

* Thu Jun 11 2009 Lawrence R. Rogers <lrr@cert.org> 1.0-3
* Release 1.0-3
- Initial Package for Fedora 11

* Tue Aug 05 2008 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
- initial package for Fedora 8
